This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 90467 - EFI partition should mount by label
EFI partition should mount by label
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: distribution (Show other bugs)
2.1
ia64 Linux
low Severity medium
: ---
: ---
Assigned To: Matt Wilson
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-08 13:40 EDT by Eric Schwartz
Modified: 2007-11-30 17:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-14 18:14:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric Schwartz 2003-05-08 13:40:49 EDT
Description of problem:
NOTE: This probably isn't anaconda's bug, but I don't know quite whose it is. 
Please reassign as appropriate.

I know / is already mounted by label; mounting the EFI partition by label
would be nice as well, to protect against re-ordering of disks.  This can
cause problems when trying to upgrade kernels.

Version-Release number of selected component (if applicable):
Latest

How reproducible:
100%

Steps to Reproduce:
1. Install AS2.1
2. Add a disk.
3. Notice lack of /boot/efi
    
Actual results:
The partition containing /boot/efi isn't mounted

Expected results:
/boot/efi is mounted

Additional info:
Happy birthday to me.
Comment 1 Jeremy Katz 2003-07-14 18:14:30 EDT
Distribution level issue.   mount in util-linux doesn't have support for mount
by label with FAT filesystems, and a variety of other things would need the
support added as well. 

Note You need to log in before you can comment on or make changes to this bug.